package cn.com.taiji.video.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

/**
 * @Description 视频解析统计表
 *
 * @Author  yangyue
 * @Date 2023/7/28
 */
@Data
@TableName("ht_dp_video_analysis")
public class HtDpVideoAnalysis implements Serializable {

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 年 */
    @TableField("`year`")
    private String year;

    /** 年月 */
    @TableField("`year_month`")
    private String yearMonth;

    /** 统计日期 */
    @TableField("stat_date")
    private LocalDate statDate;

    /** 任务编号 */
    @TableField("task_id")
    private String taskId;

    /** 任务分类（1-人。2-车） */
    @TableField("type")
    private Integer type;

    /** 图片抓拍总数 */
    @TableField("pic_analysis_total")
    private Integer picAnalysisTotal;

    /** 提交失败数量 */
    @TableField("pic_analysis_fail_count")
    private Integer picAnalysisFailCount;

    /** 提交成功数量 */
    @TableField("pic_analysis_success_count")
    private Integer picAnalysisSuccessCount;

    /** 过滤数量 */
    @TableField("pic_capture_total")
    private Integer picCaptureTotal;

    /** 分析总数 */
    @TableField("pic_filter_count")
    private Integer picFilterCount;

    /** 分析失败数量 */
    @TableField("pic_submit_fail_count")
    private Integer picSubmitFailCount;

    /** 分析成功数量 */
    @TableField("pic_submit_success_count")
    private Integer picSubmitSuccessCount;

}
