package cn.com.taiji.video.service;


import cn.com.taiji.video.model.VideoAnalysisLineDTO;
import cn.com.taiji.video.model.VideoAnalysisPieDTO;
import cn.com.taiji.video.model.VideoDTO;

import java.time.LocalDate;
import java.util.List;

/**
 * @Description
 *
 * @Author  yangyue
 * @Date 2021/11/18
 */
public interface IVideoUrlService {

    /**
     * 查询视频流地址
     * @param pre 海康入参
     */
    void httpsPost(String pre);

    /**
     * 查询视频记录
     * @return List<VideoDTO>
     */
    List<VideoDTO> queryVideoList();

    /**
     * 查询视频记录
     * @param type 类型
     * @param startDate 开始日期
     * @param endDate 结束日期
     */
    void queryTestPie(Integer type, LocalDate startDate, LocalDate endDate);

    /**
     * 查询视频记录
     * @param type 类型
     * @return VideoAnalysisDTO
     */
    VideoAnalysisPieDTO queryPieRecord(Integer type);

    /**
     * 查询视频记录
     * @param type 类型
     * @return List<VideoAnalysisLineDTO>
     */
    List<VideoAnalysisLineDTO> queryLineRecord(Integer type);

}
